Debian Bug report logs - #524510
setxkbmap: -I syntax wrong in manpage

version graph

Package: x11-xkb-utils; Maintainer for x11-xkb-utils is Debian X Strike Force <debian-x@lists.debian.org>; Source for x11-xkb-utils is src:x11-xkb-utils.

Reported by: martin f krafft <madduck@debian.org>

Date: Fri, 17 Apr 2009 16:39:14 UTC

Severity: minor

Tags: upstream

Found in version x11-xkb-utils/7.4+2

Fixed in version x11-xkb-utils/7.7~1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#524510; Package x11-xkb-utils. (Fri, 17 Apr 2009 16:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Apr 2009 16:39:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: setxkbmap: -I syntax wrong in manpage
Date: Fri, 17 Apr 2009 15:56:35 +0200
[Message part 1 (text/plain, inline)]
Package: x11-xkb-utils
Version: 7.4+2
Severity: minor
File: /usr/bin/setxkbmap
Tags: upstream

While the manpage says "-I directory", only "-Idirectory" seems to
work. If I have a space between option and argument, setxkbmap seems
to interpret it as layout:

  lapse:~|master|% setxkbmap -I ~/xkb -layout us
  More than one keyboard layout on command line
  Using "/home/madduck/xkb", ignoring "us"
  Couldn't find rules file (evdev) 

If I do not explicitly specify -layout, something else seems to
happen:

  lapse:~|master|% setxkbmap -I ~/xkb us
  Couldn't find rules file (evdev) 

The fact that it does not find the evdev file in ~/xkb/rules seems
a separate issue and will be subject of the next bug report.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages x11-xkb-utils depends on:
ii  cpp                           4:4.3.3-2  The GNU C preprocessor (cpp)
ii  libc6                         2.9-7      GNU C Library: Shared libraries
ii  libice6                       2:1.0.5-1  X11 Inter-Client Exchange library
ii  libsm6                        2:1.1.0-2  X11 Session Management library
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxaw7                       2:1.0.5-2  X11 Athena Widget library
ii  libxkbfile1                   1:1.0.5-1  X11 keyboard file manipulation lib
ii  libxmu6                       2:1.0.4-1  X11 miscellaneous utility library
ii  libxt6                        1:1.0.5-3  X11 toolkit intrinsics library
ii  x11-common                    1:7.4+1    X Window System (X.Org) infrastruc

x11-xkb-utils recommends no packages.

x11-xkb-utils suggests no packages.

-- debconf-show failed


-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#524510; Package x11-xkb-utils. (Mon, 01 Jul 2013 22:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Aulery <lkppo@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 01 Jul 2013 22:36:09 GMT) Full text and rfc822 format available.

Message #10 received at 524510@bugs.debian.org (full text, mbox):

From: Stéphane Aulery <lkppo@free.fr>
To: control@bugs.debian.org
Cc: 524510@bugs.debian.org
Subject: setxkbmap: -I syntax wrong in manpage
Date: Tue, 2 Jul 2013 00:17:20 +0200
fixed 524510 x11-xkb-utils/7.7~1
stop


Hello,

This bug has been fixed with setxkbmap 1.3.0, by making the syntax from
the manpage actually work :

http://cgit.freedesktop.org/xorg/app/setxkbmap/commit/?id=2011f509c56b73cc62105c689d702f279f522017

Having the space is more consistent with other options, not having it is
more consistent with the current usage message.

A second patch will ensure consistency between the manpage and the
output of the -h option

Regards,

-- 
Stéphane Aulery



Marked as fixed in versions x11-xkb-utils/7.7~1. Request was from Stéphane Aulery <lkppo@free.fr> to control@bugs.debian.org. (Mon, 01 Jul 2013 22:36:12 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Dec 2013 15:09:05 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Wed, 25 Dec 2013 15:09:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Jan 2014 07:26:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:11:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.